Subject: bug#41005: problem with rendering Persian text in Emacs 27

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Jul 2020 19:28:24 +0300

> From: Amin Bandali <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sat, 25 Jul 2020 11:53:19 -0400
> 
> > Also, do you copy this from EWW or from some other Web browser?
> >
> 
> Certainly.  Instead of Persian Wikipedia, let's use the Persian
> translation of the GNU homepage: <https://www.gnu.org/home.fa.html>;
> specifically, the first part of the first sentence of the first
> paragraph (up to and including the semicolon):
> 
> گنو یک سیستم‌عامل بر مبنای نرم‌افزار آزاد است؛
> 
> I have created a very short video screencast of me walking through
> reproducing the issue, by opening <https://www.gnu.org/home.fa.html> in
> Debian Buster's firefox-esr (68.10.0esr (64-bit)), copying the above
> excerpt from the page, and pasting into an Emacs *scratch* using C-y:
> 
>     https://p.bndl.org/emacs-persian-wrong-contextual-forms.webm
> 
> The two open Emacs instances were both launched with "emacs -Q" and are
> identical; except for the second one, I did M-x column-number-mode RET
> before pasting the Persian text.

OK, thanks.  Now everything is clear: at the time we discussed this,
almost 2 months ago, Pip Cet proposed a patch, which I asked him to
install.  But it turns out it was never actually installed, and so
this particular situation was indeed not fixed.

I have now installed that patch on the emacs-27 branch, and the
problem is gone.